Bug 187166 - php php-pear dependency inconsistent
php php-pear dependency inconsistent
Product: Fedora
Classification: Fedora
Component: php (Show other bugs)
x86_64 Linux
medium Severity high
: ---
: ---
Assigned To: Joe Orton
David Lawrence
Depends On:
  Show dependency treegraph
Reported: 2006-03-28 17:11 EST by jørgen nørgaard
Modified: 2014-01-21 17:53 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-05-17 08:19:09 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description jørgen nørgaard 2006-03-28 17:11:10 EST
Description of problem:

attempting a yum upgrade from FC4 -> FC5 (using http://download.fedora.redhat.com/pub/fedora/

In the "yum update" command
php is set to 5.1.2 (Package php.x86_64 0:5.1.2-5 set to be updated)

but php-pear requires 5.0.4-10.5 (Error: Package php-pear needs php = 5.0.4-10.5, this is not 

There seems to be an inconsistency somewhere.

An update of a x386 system, also FC4-> FC5, went fine without this problem.
Comment 1 Joe Orton 2006-04-20 04:33:33 EDT
Please show the complete yum output.  The package dependencies are correct - if
yum is not finding the new php-pear package (which does *not* require php-5.0.4)
then there is some other problem.
Comment 2 jørgen nørgaard 2006-04-20 07:00:25 EDT
Sorry, now I cannot reproduce the problem because I worked around the problem, see below. The 
seems not the be any logs that has the error messages; the yum.log has only sucessful entries.

The work around was to delelete the involved packages (saving cnf files first ....):

php php-mbstring php-mysql php-pear squirrelmail

and then install them again.

Comment 3 Joe Orton 2006-05-17 08:19:09 EDT
Could be an FC4 yum problem; an anaconda upgrade is the only supported method,
anyway, so closing this.

Note You need to log in before you can comment on or make changes to this bug.